Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 3563)
+++ trunk/SophyaPI/PIext/Makefile	(revision 3572)
@@ -42,26 +42,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -69,4 +53,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -76,4 +62,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -163,34 +164,36 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -277,4 +280,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -320,9 +324,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -330,4 +330,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -337,4 +339,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -387,26 +391,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -414,4 +402,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -421,4 +411,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -473,26 +478,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -500,4 +489,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -507,4 +498,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -581,26 +587,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -608,4 +598,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -615,4 +607,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -689,4 +696,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -733,9 +741,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -743,4 +747,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -750,4 +756,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -799,4 +807,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -860,4 +869,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -920,4 +930,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -989,4 +1000,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1086,4 +1098,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1130,5 +1143,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -1195,4 +1207,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1264,4 +1277,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1347,4 +1361,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1412,4 +1427,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1510,4 +1526,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1593,4 +1610,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1623,9 +1641,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1633,4 +1647,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1640,4 +1656,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1700,26 +1718,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1727,4 +1729,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1734,4 +1738,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1797,26 +1816,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1824,4 +1827,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1831,4 +1836,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1937,4 +1957,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1969,9 +1990,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1979,4 +1996,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1986,4 +2005,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2002,5 +2023,4 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2045,4 +2065,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2097,4 +2118,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2124,4 +2146,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2153,26 +2176,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
   $(SOPHYAINCP)pimenux.h \
@@ -2180,8 +2187,25 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)piscdrawwdg.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2211,26 +2235,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2238,4 +2246,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2245,4 +2255,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2308,5 +2333,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2357,4 +2381,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2385,4 +2410,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2411,4 +2437,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2478,26 +2505,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2505,4 +2516,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2512,4 +2525,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2591,26 +2619,10 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2618,4 +2630,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2625,4 +2639,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2672,4 +2701,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -2720,4 +2750,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2764,9 +2795,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2774,4 +2801,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2781,4 +2810,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/basexecut.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/basexecut.cc	(revision 3572)
@@ -24,9 +24,5 @@
 #include "datatable.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-#else
 #include "tvector.h"
-#endif
 
 
@@ -95,15 +91,4 @@
   mImgApp->RedirectStdOutErr(false);
                                     --------DEL  */
-#ifdef SANS_EVOLPLANCK
-  TRY {
-    tokens.erase(tokens.begin());
-    fuf(tokens);
-  }  CATCH(merr) {
-    fflush(stdout); 
-    string es = PeidaExc(merr);
-    cerr << "\n PIABaseExecutor: Call UserFunc  Exception :" << merr << es;
-    cout << endl; 
-    }
-#else
   try {
     tokens.erase(tokens.begin());
@@ -122,5 +107,4 @@
     return(-79);
   }
-#endif
 /*DEL----- Plus besoin en multi-thread ? / Reza 06/01/2004 
   mImgApp->RedirectStdOutErr(red);
@@ -732,5 +716,4 @@
   }
 
-#ifndef SANS_EVOLPLANCK
 /* Lecture matrice/vecteur depuis fichier ASCII  */
 else if ((kw == "mtxfrascii") || (kw == "vecfrascii") ) {
@@ -788,5 +771,4 @@
 }
   
-#endif
 
 else if (kw == "fillnt" ) {
@@ -970,5 +952,4 @@
 usage += "\n  Related commands: ntloop fillnt ";
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
-#ifndef SANS_EVOLPLANCK
 kw = "mtxfrascii";
 usage = "Reads a matrix from an ASCII file (TMatrix<r_8>)";
@@ -986,5 +967,4 @@
 usage += "\n  Related commands:  mtxfrascii vecfrascii ntfrascii ";
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
-#endif
 
 kw = "print";
@@ -1181,9 +1161,4 @@
 usage += "\n-         i,k,val,real,imag,mod,phas,teta,phi,_nl";
 usage += "\n- FITS Binary/ASCII table: fits column names,_nl";
-#ifdef SANS_EVOLPLANCK
-usage += "\n  ------ Eros Variable names (double) -------- ";
-usage += "\n- StarList: x,y,flux,fond,pixmax,flags,";
-usage += "\n-           xref,yref,fluxref,fondref,pixmaxref,_nl";
-#endif
 usage += "\n  ------ Other parameters -------- ";
 usage += "\nLoop parameters can be specified as I1[:I2[:DI]] for(int i=I1; i<I2; i+=DI)"; 
Index: trunk/SophyaPI/PIext/cxxexecutor.cc
===================================================================
--- trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 3572)
@@ -394,8 +394,4 @@
   <<endl
 
-#ifdef SANS_EVOLPLANCK
-  <<"//---- Peida include files"<<endl
-  <<"#include \"toutpeida.h\""<<endl
-#else
   // Si on enleve sopnamsp.h (using namespace SOPHYA), il faudra accoler 
   // SOPHYA:: à toutes les déclarations automatiques - Reza, 10/09/2004 
@@ -409,5 +405,4 @@
   <<"#include \"histats.h\""<<endl
   <<endl
-#endif
 
   <<"//---- Spiapp include files"<<endl
@@ -497,15 +492,7 @@
   os<<obtype<<"* "<<stmp
     <<" = dynamic_cast< "<<obtype<<" * >(omg.GetObj(___nomobj));"<<endl;
-#ifdef SANS_EVOLPLANCK
-  os<<"if("<<stmp<<"==NULL) { \n"
-    <<" long mExcErr = nullPtrErr; \n"
-    <<" cerr << \"CxxExecutor::PutObject: Non existing object "
-    <<" ... please update file \\n \" ;"
-    <<" throw mExcErr ; \n } "<<endl;
-#else
   os<<"if("<<stmp<<"==NULL) throw NullPtrError"
     <<"(\"CxxExecutor::PutObject: Non existing object "<<nobj
     <<"... please update file\");"<<endl;
-#endif
   os<<obtype<<"& "<<nobj<<" = (*"<<stmp<<");"<<endl<<endl;
 }
@@ -622,11 +609,5 @@
 
 int rc;
-#ifdef SANS_EVOLPLANCK
-CxxCompilerLinker cxx;
-string sophlib = " -lPIE -lm ";
-cxx.AddLinkOptions(sophlib);
-#else
 CxxCompilerLinker cxx(true,true,true);
-#endif
 if(TmpDir().size()>0) cxx.SetTmpDir(TmpDir());
 if(mPrtLevel>0) cxx.SetVerbose(true);
Index: trunk/SophyaPI/PIext/exclude
===================================================================
--- trunk/SophyaPI/PIext/exclude	(revision 3563)
+++ trunk/SophyaPI/PIext/exclude	(revision 3572)
@@ -1,4 +1,2 @@
 userfitfunex.c
-nommatvecadapter.cc
-nomstladapter.cc
 pistlist.cc
Index: trunk/SophyaPI/PIext/flowmodex.cc
===================================================================
--- trunk/SophyaPI/PIext/flowmodex.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/flowmodex.cc	(revision 3572)
@@ -117,5 +117,5 @@
   
   // Creation NTuple 
-  char* ntn[4] = {"expx","expy","expex","expey"};
+  const char* ntn[4] = {"expx","expy","expex","expey"};
   NTuple * ntint = NULL;
   ntint = new NTuple(4,ntn);
Index: trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/nobjmgr.cc	(revision 3572)
@@ -20,12 +20,7 @@
 #include "dvlist.h"
 
-// EVOL-PLANCK
-#ifdef SANS_EVOLPLANCK
-#include "fitsimage.h"  
-#else
 #include "tvector.h"
 #include "pitvmaad.h"
 #include "piyfxdrw.h"
-#endif
 
 #include "pisurfdr.h"
@@ -259,9 +254,5 @@
   }
   NObjMgrSync zs(0); zs.NOp(); 
-#ifdef SANS_EVOLPLANCK
-  bool fg = true;
-#else
   bool fg = myVars->HasKey(key);
-#endif
   myVars->SetS(key, val);
   //  cout << " DEBUG::SetVar " << *myVars << endl;
@@ -277,12 +268,5 @@
   }
   NObjMgrSync zs(0); zs.NOp(); 
-#ifdef SANS_EVOLPLANCK
-  DVList::ValList::const_iterator it;
-  for(it=myVars->Begin(); it!= myVars->End(); it++)
-    if ((*it).first == key)  return true;
-  return(false);
-#else
   return(myVars->HasKey(key));
-#endif
 }
 
@@ -295,9 +279,5 @@
   }
   NObjMgrSync zs(0); zs.NOp(); 
-#ifdef SANS_EVOLPLANCK
-  return(false);
-#else
   return(myVars->DeleteKey(key));
-#endif
 }
 
@@ -945,13 +925,4 @@
 PPersist* ppobj=NULL;
 bool ok = true;
-#ifdef SANS_EVOLPLANCK
-TRY{
-  PInPersist pis(flnm);
-  ppobj = PPersistMgr::ReadObject(pis);
-  if (ppobj == NULL) ok = false;
-}  CATCH(merr) 
-  { printf("NamedObjMgr::ReadObj()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } ENDTRY;
-#else
 try {
   PInPersist pis(flnm);
@@ -962,5 +933,4 @@
   ok = false;
   }
-#endif
 if (!ok)  return;
 if (nobj.length()<1)  nobj = servnobjm->FileName2Name(flnm);
@@ -1011,7 +981,4 @@
 {
 int_4 i; // $CHECK$ int -> int_4 a cause de TagKey
-#ifdef SANS_EVOLPLANCK
-int_4 cid, key, ln; // $CHECK$ int -> int_4 a cause de TagKey
-#endif
 int n0, n1;
 bool ok = true;
@@ -1021,9 +988,5 @@
 int nread = 0;
 int nbtags = 0;
-#ifdef SANS_EVOLPLANCK
-nbtags = s.NbTags();
-#else 
 nbtags = s.NbNameTags();
-#endif
 if ( (nbtags < 1) || (num >= nbtags) ) {
   if (num >= 0) { 
@@ -1033,13 +996,4 @@
   }
 
-#ifdef SANS_EVOLPLANCK
-  TRY {
-    obj = PPersistMgr::ReadObject(s);
-    if (obj == NULL)  ok = false;
-  }  CATCH(merr) { 
-    printf("NamedObjMgr::ReadObj()/Error Exception= %ld (%s) \n", (long)merr, PeidaExc(merr)); 
-    ok = false; 
-  } ENDTRY;
-#else
 try {
   obj = s.ReadObject();
@@ -1049,5 +1003,4 @@
   ok = false;
   }
-#endif
 
   if (!ok)  return;
@@ -1060,17 +1013,4 @@
 else { n0 = num; n1 = num+1; }
 for(i=n0; i<n1; i++) {
-#ifdef SANS_EVOLPLANCK
-  key = s.TagKey(i, cid, ln); 
-  if (ln <= 0)  nom = "";
-  else nom = s.TagName(i);
-  s.GotoTag(i);
-  TRY {
-    obj = PPersistMgr::ReadObject(s);
-    if (obj == NULL)  ok = false;
-  }  CATCH(merr) { 
-    printf("NamedObjMgr::ReadObj()/Error Exception= %ld (%s) \n", (long)merr, PeidaExc(merr)); 
-    ok = false; 
-  } ENDTRY;
-#else
   s.GotoNameTagNum(i);
   nom = s.GetTagName(i);
@@ -1082,5 +1022,4 @@
     ok = false;
     }
-#endif
   if (ok)  { AddObj_P(obj->DataObj(), nom, true);  nread++; }
 }
@@ -1095,25 +1034,4 @@
   //    sinon, tous les objets sequentiellement
 {
-#ifdef SANS_EVOLPLANCK
-bool ok = true;
-PPersist* obj=NULL;
-
-PInPersist* ppin=NULL;
-TRY{
-  ppin = new PInPersist(flnm);
-  if (ppin->NbTags() < 1)  obj = PPersistMgr::ReadObject((*ppin));
-  else obj = NULL;
-}  CATCH(merr) 
-  { printf("NamedObjMgr::ReadAll()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } 
-ENDTRY;
-if (!ok)  return;
-if (obj) {
-  string nom = servnobjm->FileName2Name(flnm);
-  AddObj(obj->DataObj(), nom, false);
-  }
-else ReadObj((*ppin), -1);
-delete ppin;
-#else
 try {
   PInPersist pis(flnm);
@@ -1151,5 +1069,4 @@
   cerr << "NamedObjMgr::ReadAll()/Error Exception - Msg= " << iox.Msg() << endl;
 }
-#endif
 return;
 }
@@ -1193,11 +1110,4 @@
 bool ok = true;
 POutPersist* pout=NULL;
-#ifdef SANS_EVOLPLANCK 
-TRY{
-  pout = new POutPersist(flnm);
-}  CATCH(merr) 
-  { printf("NamedObjMgr::SaveObjects()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } ENDTRY;
-#else
 try {
  pout = new POutPersist(flnm);
@@ -1207,5 +1117,4 @@
     ok = false;
 }
-#endif
 if (!ok)  return;
 NObjList::iterator it;
@@ -1262,11 +1171,4 @@
 
 POutPersist* pout=NULL;
-#ifdef SANS_EVOLPLANCK 
-TRY{
-  pout = new POutPersist(flnm);
-}  CATCH(merr) 
-  { printf("NamedObjMgr::SaveAll()/Error Exception= %ld (%s) \n", 
-    (long)merr, PeidaExc(merr));  ok = false; } ENDTRY;
-#else
 try {
  pout = new POutPersist(flnm);
@@ -1276,5 +1178,4 @@
     ok = false;
 }
-#endif
 if (!ok)  return;
 NObjList::iterator it;
@@ -1583,8 +1484,4 @@
 NObjMgrSync zs(0); zs.NOp(); 
 
-#ifdef SANS_EVOLPLANCK
-  cerr << " NamedObjMgr::DisplayVector() Error: Not implemented with PEIDA " << endl;
-#else
-
 if(!myImgApp) return; 
 
@@ -1651,5 +1548,4 @@
 return;
 
-#endif
 }
 
Index: trunk/SophyaPI/PIext/nomgfdadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 3572)
@@ -9,7 +9,5 @@
 #include "pipodrw.h"
 
-#ifndef SANS_EVOLPLANCK
 #include "objfitter.h"
-#endif
 
 //-------------------------------------------------------------------------
@@ -53,11 +51,6 @@
 void NOMAdapter_GeneralFitData::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-string tag = nom;  // A cause de const
-mG->Write(pos,0,tag);
-#else
 ObjFileIO<GeneralFitData> fio(mG);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -113,9 +106,5 @@
 {
 GeneralFitData* g = NULL;
-#ifdef SANS_EVOLPLANCK
-g = mG->FitResidus(mfit); 
-#else
 g = new GeneralFitData(ObjectFitter::FitResidus(*mG,mfit));
-#endif
 return g;
 }
@@ -124,9 +113,5 @@
 {
 GeneralFitData* g = NULL;
-#ifdef SANS_EVOLPLANCK
-g = mG->FitFunction(mfit); 
-#else
 g = new GeneralFitData(ObjectFitter::FitFunction(*mG,mfit));
-#endif
 return g;
 }
Index: trunk/SophyaPI/PIext/nomhistadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 3572)
@@ -16,10 +16,8 @@
 #include "strutilxx.h"
 
-#ifndef SANS_EVOLPLANCK
 #include "objfitter.h"
 // Pour les DataTable ( Depuis Avril 2005 )
 #include "datatable.h"
 #include "swppfdtable.h"
-#endif
 
 //-----------------------------------------------------------------------------
@@ -139,12 +137,6 @@
 void NOMAdapter_Histo::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mHis->Write(pos,0,tag);
-#else
 ObjFileIO<Histo> fio(mHis);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -204,9 +196,5 @@
 {
 Histo* h = NULL;
-#ifdef SANS_EVOLPLANCK
-h = mHis->FitResidus(mfit); 
-#else
 h = new Histo(ObjectFitter::FitResidus(*mHis,mfit));
-#endif
 return h;
 }
@@ -215,9 +203,5 @@
 {
 Histo* h = NULL;
-#ifdef SANS_EVOLPLANCK
-h = mHis->FitFunction(mfit); 
-#else
 h = new Histo(ObjectFitter::FitFunction(*mHis,mfit));
-#endif
 return h;
 }
@@ -316,12 +300,6 @@
 void NOMAdapter_Histo2D::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mHis->Write(pos,0,tag);
-#else
 ObjFileIO<Histo2D> fio(mHis);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -389,9 +367,5 @@
 {
 Histo2D* h2 = NULL;
-#ifdef SANS_EVOLPLANCK
-h2 = mHis->FitFunction(mfit);
-#else
 h2 = new Histo2D(ObjectFitter::FitResidus(*mHis,mfit));
-#endif
 return h2;
 }
@@ -400,9 +374,5 @@
 {
 Histo2D* h2 = NULL;
-#ifdef SANS_EVOLPLANCK
-h2 = mHis->FitFunction(mfit);
-#else
 h2 = new Histo2D(ObjectFitter::FitFunction(*mHis,mfit));
-#endif
 return h2;
 }
@@ -555,12 +525,6 @@
 void NOMAdapter_NTuple::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mNt->Write(pos,0,tag);
-#else
 ObjFileIO<NTuple> fio(mNt);
 fio.Write(pos, nom);
-#endif
 }
 
@@ -571,13 +535,13 @@
 char buff[128];
 if (opts[0] == "sizes") {
-  sprintf(buff, "%ld %ld", mNt->NEntry(), mNt->NVar());
+  sprintf(buff, "%ld %ld", (long)mNt->NEntry(), (long)mNt->NVar());
   return string(buff);   
 }
 else if ((opts[0] == "nlines") || (opts[0] == "nentry") || (opts[0] == "nrows")) {
-  sprintf(buff, "%ld", mNt->NEntry());
+  sprintf(buff, "%ld", (long)mNt->NEntry());
   return string(buff);   
 }
 else if ((opts[0] == "nvar") || (opts[0] == "ncols")) {
-  sprintf(buff, "%ld", mNt->NVar());
+  sprintf(buff, "%ld", (long)mNt->NVar());
   return string(buff);   
 }
@@ -610,68 +574,4 @@
 return(mNt);
 // return( new NTupInt_NTuple(mNt) );
-}
-
-//-------------------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet XNTuple
-//-------------------------------------------------------------------------
-
-/* --Methode-- */
-NOMAdapter_XNTuple::NOMAdapter_XNTuple(XNTuple* o)
-  : NObjMgrAdapter(o)
-{
-mNt = o;
-}
-
-/* --Methode-- */
-NOMAdapter_XNTuple::~NOMAdapter_XNTuple()
-{
-}
-
-/* --Methode-- */
-NObjMgrAdapter* NOMAdapter_XNTuple::Clone(AnyDataObj* o)
-{
-XNTuple* nt = dynamic_cast<XNTuple *>(o);
-if (nt) return ( new NOMAdapter_XNTuple(nt) );
-return ( new NObjMgrAdapter(o) );
-}
-
-/* --Methode-- */
-string NOMAdapter_XNTuple::GetDataObjType()
-{
-return ("XNTuple ");
-}
-
-/* --Methode-- */
-AnyDataObj* NOMAdapter_XNTuple::CloneDataObj(bool /*share*/)
-{
-return ( new XNTuple(*mNt) );
-}
-
-/* --Methode-- */
-void NOMAdapter_XNTuple::SavePPF(POutPersist& pos, string const & nom)
-{
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mNt->Write(pos,0,tag);
-#else
-ObjFileIO<XNTuple> fio(mNt);
-fio.Write(pos, nom);
-#endif
-}
-
-/* --Methode-- */
-void NOMAdapter_XNTuple::Print(ostream& os, int lev)
-{
-// os << mNt->Info();
-mNt->Show(os);
-}
-
-
-/* --Methode-- */
-NTupleInterface* NOMAdapter_XNTuple::GetNTupleInterface(bool& adel)
-{
-adel = false;
-return(mNt);
 }
 
@@ -751,13 +651,13 @@
 char buff[128];
 if (opts[0] == "sizes") {
-  sprintf(buff, "%ld %ld", mDT->NEntry(), mDT->NVar());
+  sprintf(buff, "%ld %ld", (long)mDT->NEntry(), (long)mDT->NVar());
   return string(buff);   
 }
 else if ((opts[0] == "nlines") || (opts[0] == "nentry") || (opts[0] == "nrows")) {
-  sprintf(buff, "%ld", mDT->NEntry());
+  sprintf(buff, "%ld", (long)mDT->NEntry());
   return string(buff);   
 }
 else if ((opts[0] == "nvar") || (opts[0] == "ncols")) {
-  sprintf(buff, "%ld", mDT->NVar());
+  sprintf(buff, "%ld", (long)mDT->NVar());
   return string(buff);   
 }
Index: trunk/SophyaPI/PIext/nomhistadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nomhistadapter.h	(revision 3563)
+++ trunk/SophyaPI/PIext/nomhistadapter.h	(revision 3572)
@@ -12,5 +12,4 @@
 #include "hisprof.h"
 #include "ntuple.h"
-#include "xntuple.h"
 #include "basedtable.h"
 
@@ -142,27 +141,4 @@
 };
 
-//-------------------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet XNTuple 
-//-------------------------------------------------------------------------
-
-class NOMAdapter_XNTuple : public NObjMgrAdapter {
-public:
-				NOMAdapter_XNTuple(XNTuple* nt = NULL);
-  virtual			~NOMAdapter_XNTuple();
-
-  virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-
-  virtual string		GetDataObjType();
-
-  virtual AnyDataObj*		CloneDataObj(bool share=false);
-
-  virtual void			SavePPF(POutPersist& s, string const & nom);
-
-  virtual void			Print(ostream& os, int lev=0);
-  virtual NTupleInterface*	GetNTupleInterface(bool& adel);
-
-protected:
-  XNTuple* mNt;
-};
 
 //-------------------------------------------------------------------------
Index: trunk/SophyaPI/PIext/nomimagadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 3572)
@@ -11,9 +11,5 @@
 #include "pimgadapter.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "fitsimage.h"
-#else
 #include "objfitter.h"
-#endif
 
 
@@ -62,11 +58,5 @@
 AnyDataObj* NOMAdapter_Image<T>::CloneDataObj(bool share)
 {
-#ifdef SANS_EVOLPLANCK
-FitsImage<T> * fima = dynamic_cast<FitsImage<T> *>(mImg);
-if (fima == NULL)   return( new Image<T>(*mImg ) );
-else return ( new FitsImage<T>(*fima) );
-#else
 return( new Image<T>(*mImg, share) );
-#endif
 }
 
@@ -76,12 +66,6 @@
 void NOMAdapter_Image<T>::SavePPF(POutPersist& pos, string const & nom)
 {
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mImg->Write(pos,0,tag);
-#else
 string s = typeid(*mObj).name();
 cout << "NOMAdapter_Image<T>::SavePPF() - Error : Not supported for " << s << endl;
-#endif
 }
 
@@ -147,12 +131,6 @@
 AnyDataObj* NOMAdapter_Image<T>::FitResidusObj(GeneralFit& mfit)
 {
-#ifdef SANS_EVOLPLANCK
-RzImage* rzim = mImg->FitResidus(mfit);  
-ImageR4* im   = new ImageR4(*rzim);
-return im;
-#else
 Image<T>* im = new Image<T>(ObjectFitter::FitResidus(*mImg,mfit));
 return im;
-#endif
 }
 
@@ -160,13 +138,7 @@
 AnyDataObj* NOMAdapter_Image<T>::FitFunctionObj(GeneralFit& mfit)
 {
-#ifdef SANS_EVOLPLANCK
-RzImage* rzim = mImg->FitFunction(mfit);  
-ImageR4* im   = new ImageR4(*rzim);
-return im;
-#else
 Image<T>* im = NULL;
 //im = new Image<T>(ObjectFitter::FitFunction(*mImg,mfit));
 return im;
-#endif
 }
 
@@ -236,8 +208,4 @@
 #pragma define_template NTupInt_Image<r_4>
 #pragma define_template NTupInt_Image<r_8>
-#ifdef SANS_EVOLPLANCK
-#pragma define_template NOMAdapter_Image<int_2>
-#pragma define_template NTupInt_Image<int_2>
-#endif
 #endif
 #if defined(ANSI_TEMPLATES) || defined(__ANSI_TEMPLATES__) || defined(__GNU_TEMPLATES__) 
@@ -250,9 +218,5 @@
 template class NTupInt_Image<r_4>;
 template class NTupInt_Image<r_8>;
-#ifdef SANS_EVOLPLANCK
-template class NOMAdapter_Image<int_2>;
-template class NTupInt_Image<int_2>;
 #endif
-#endif
-
-
+
+
Index: trunk/SophyaPI/PIext/nommatvecadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nommatvecadapter.cc	(revision 3563)
+++ 	(revision )
@@ -1,337 +1,0 @@
-#include "sopnamsp.h"
-#include "machdefs.h"
-#include <stdlib.h>
-#include <typeinfo>
-#include <iostream>
-#include <string>
-
-#include "nommatvecadapter.h"
-#include "piyfxdrw.h"
-#include "pipodrw.h"
-
-//---------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet Vector 
-//---------------------------------------------------------------
-
-/* --Methode-- */
-NOMAdapter_Vector::NOMAdapter_Vector(Vector* o)
-  : NObjMgrAdapter(o)
-{
-mVec = o;
-}
-
-/* --Methode-- */
-NOMAdapter_Vector::~NOMAdapter_Vector()
-{
-}
-
-/* --Methode-- */
-NObjMgrAdapter* NOMAdapter_Vector::Clone(AnyDataObj* o)
-{
-Vector* v = dynamic_cast<Vector *>(o);
-if (v) return ( new NOMAdapter_Vector(v) );
-return ( new NObjMgrAdapter(o) );
-}
-
-/* --Methode-- */
-string NOMAdapter_Vector::GetDataObjType()
-{
-  return("Vector ");
-}
-
-/* --Methode-- */
-AnyDataObj* NOMAdapter_Vector::CloneDataObj(bool /*share*/)
-{
-return ( new Vector(*mVec) );
-}
-
-
-/* --Methode-- */
-void NOMAdapter_Vector::SavePPF(POutPersist& pos, string const & nom)
-{
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mVec->Write(pos,0,tag);
-#else
-string s = typeid(*mObj).name();
-cout << "NOMAdapter_Vector::SavePPF() - Error : Not supported for " << s << endl;
-#endif
-}
-
-/* --Methode-- */
-void NOMAdapter_Vector::Print(ostream& os, int)
-{
-os << (*mVec);
-}
-
-/* --Methode-- */
-PIDrawer* NOMAdapter_Vector::GetDrawer(string & dopt)
-{
-dopt = "thinline " + dopt;
-return( new PIYfXDrawer( new POVectorAdapter(mVec, false), NULL, true) );
-}
-
-/* --Methode-- */
-NTupleInterface* NOMAdapter_Vector::GetNTupleInterface(bool& adel)
-{
-adel = true;
-return( new NTupInt_Vector(mVec) );
-}
-
-
-/* --Methode-- */
-GeneralFitData* NOMAdapter_Vector::GetGeneralFitData(bool& adel
- ,GeneralFitData::FitErrType errtype,double errscale,double errmin
- ,int i1,int i2,int j1,int j2)
-{
-adel = false;
-if(!mVec) return(NULL);
-
-int n = mVec->NElts();
-if(n<=0) return(NULL);
-
-i1 = (i1<0||i1>=n)? 0: i1;
-i2 = (i2<0||i2>=n||i2<i1)? n-1: i2;
-
-GeneralFitData* mGData = new GeneralFitData(1,i2-i1+1,0);
-adel = true;
-
-for(int i=i1;i<=i2;i++) {
-  double x = (double) i;
-  double f = (*mVec)(i);
-  double e = 1.;
-  e = GeneralFitData::ComputeError(f,e,errtype,errscale,errmin);
-  mGData->AddData1(x,f,e);
-}
-
-return mGData;
-}
-
-AnyDataObj* NOMAdapter_Vector::FitResidusObj(GeneralFit& mfit)
-{
-Vector* v = NULL;
-v = mVec->FitResidus(mfit); 
-return v;
-}
-
-AnyDataObj* NOMAdapter_Vector::FitFunctionObj(GeneralFit& mfit)
-{
-Vector* v = NULL;
-v = mVec->FitFunction(mfit); 
-return v;
-}
-
-// -------------------------------------------------------------
-
-/* --Methode-- */
-NTupInt_Vector::NTupInt_Vector(Vector* v)
-{
-mVec = v;
-}
-
-/* --Methode-- */
-NTupInt_Vector::~NTupInt_Vector()
-{
-}
-
-/* --Methode-- */
-sa_size_t NTupInt_Vector::NbLines() const
-{
-return(mVec->NElts());
-}
-
-/* --Methode-- */
-sa_size_t NTupInt_Vector::NbColumns() const 
-{
-return(2);
-}
-
-/* --Methode-- */
-r_8* NTupInt_Vector::GetLineD(sa_size_t n) const 
-{
-int i;
-if ((n < 0) || (n >= mVec->NElts() )) 
-    for(i=0; i<2; i++)  mRet[i] = 0.;
-else { 
-  mRet[0] = n;  mRet[1] = (*mVec)(n);
-  }
-return(mRet);
-}
-
-/* --Methode-- */
-string NTupInt_Vector::VarList_C(const char* nx) const 
-{
-string nomx;
-if (nx) nomx = nx;
-else nomx = "_xh_";
-string vardec = "double i,val; \n";
-vardec += "i = " + nomx + "[0];  val = " + nomx + "[1]; \n";
-return(vardec);
-}
-
-
-//---------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet Matrix 
-//---------------------------------------------------------------
-
-
-/* --Methode-- */
-NOMAdapter_Matrix::NOMAdapter_Matrix(Matrix* o)
-  : NObjMgrAdapter(o)
-{
-mMtx = o;
-}
-
-/* --Methode-- */
-NOMAdapter_Matrix::~NOMAdapter_Matrix()
-{
-}
-
-/* --Methode-- */
-NObjMgrAdapter* NOMAdapter_Matrix::Clone(AnyDataObj* o)
-{
-Matrix* m = dynamic_cast<Matrix *>(o);
-if (m) return ( new NOMAdapter_Matrix(m) );
-return ( new NObjMgrAdapter(o) );
-}
-
-/* --Methode-- */
-string NOMAdapter_Matrix::GetDataObjType()
-{
-  return("Matrix ");
-}
-
-/* --Methode-- */
-AnyDataObj* NOMAdapter_Matrix::CloneDataObj(bool /*share*/)
-{
-return ( new Matrix(*mMtx) );
-}
-
-/* --Methode-- */
-void NOMAdapter_Matrix::SavePPF(POutPersist& pos, string const & nom)
-{
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'histo est lui-meme PPersist
-string tag = nom;  // A cause de const
-mMtx->Write(pos,0,tag);
-#else
-string s = typeid(*mObj).name();
-cout << "NOMAdapter_Matrix::SavePPF() - Error : Not supported for " << s << endl;
-#endif
-}
-
-/* --Methode-- */
-void NOMAdapter_Matrix::Print(ostream& os, int)
-{
-os << (*mMtx);
-}
-
-
-/* --Methode-- */
-P2DArrayAdapter* NOMAdapter_Matrix::Get2DArray(string &)
-{
-return ( new POMatrixAdapter(mMtx, false) );
-}
-
-/* --Methode-- */
-NTupleInterface* NOMAdapter_Matrix::GetNTupleInterface(bool& adel)
-{
-adel = true;
-return( new NTupInt_Matrix(mMtx) );
-}
-
-/* --Methode-- */
-GeneralFitData* NOMAdapter_Matrix::GetGeneralFitData(bool& adel
- ,GeneralFitData::FitErrType errtype,double errscale,double errmin
- ,int i1,int i2,int j1,int j2)
-{
-adel = false;
-if(!mMtx) return(NULL);
-
-int nx = mMtx->NRows();
-int ny = mMtx->NCol();
-if(nx<=0 || ny<=0) return(NULL);
-
-i1 = (i1<0||i1>=nx)? 0: i1;
-i2 = (i2<0||i2>=nx||i2<i1)? nx-1: i2;
-j1 = (j1<0||j1>=ny)? 0: j1;
-j2 = (j2<0||j2>=ny||j2<j1)? ny-1: j2;
-
-GeneralFitData* mGData = new GeneralFitData(2,(i2-i1+1)*(j2-j1+1),0);
-adel = true;
-
-for(int i=i1;i<=i2;i++) for(int j=j1;j<=j2;j++) {
-  double x = (double) i;
-  double y = (double) j;
-  double f = (*mMtx)(i,j);
-  double e = 1.;
-  e = GeneralFitData::ComputeError(f,e,errtype,errscale,errmin);
-  mGData->AddData2(x,y,f,e);
-}
-
-return mGData;
-}
-
-AnyDataObj* NOMAdapter_Matrix::FitResidusObj(GeneralFit& mfit)
-{
-Matrix* m = NULL;
-m = mMtx->FitResidus(mfit); 
-return m;
-}
-
-AnyDataObj* NOMAdapter_Matrix::FitFunctionObj(GeneralFit& mfit)
-{
-Matrix* m = NULL;
-m = mMtx->FitFunction(mfit); 
-return m;
-}
-
-// -------------------------------------------------------------
-
-/* --Methode-- */
-NTupInt_Matrix::NTupInt_Matrix(Matrix* m)
-{
-mMtx = m;
-}
-
-/* --Methode-- */
-NTupInt_Matrix::~NTupInt_Matrix()
-{
-}
-
-/* --Methode-- */
-sa_size_t  NTupInt_Matrix::NbLines() const
-{
-return( mMtx->NRows()*mMtx->NCol() );
-}
-
-/* --Methode-- */
-sa_size_t  NTupInt_Matrix::NbColumns() const 
-{
-return(3);
-}
-
-/* --Methode-- */
-r_8* NTupInt_Matrix::GetLineD(sa_size_t  n) const 
-{
-int i,j;
-if ((n < 0) || (n >= mMtx->NRows()*mMtx->NCol() )) 
-    for(i=0; i<3; i++)  mRet[i] = 0.;
-else { 
-  i = n/mMtx->NCol(); j = n%mMtx->NCol(); 
-  mRet[0] = i;  mRet[1] = j;  mRet[2] = (*mMtx)(i,j);
-  }
-return(mRet);
-}
-
-/* --Methode-- */
-string NTupInt_Matrix::VarList_C(const char* nx) const 
-{
-string nomx;
-if (nx) nomx = nx;
-else nomx = "_xh_";
-string vardec = "double i,j,val; \n";
-vardec += "i = " + nomx + "[0]; j = " + nomx + "[1];  val = " + nomx + "[2]; \n";
-return(vardec);
-}
Index: trunk/SophyaPI/PIext/nommatvecadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nommatvecadapter.h	(revision 3563)
+++ 	(revision )
@@ -1,116 +1,0 @@
-// This may look like C code, but it is really -*- C++ -*-
-// Adaptateur d objets (pour NamedObjMgr) pour Histos/NTuple
-//                                    Reza 05/99
-//  LAL-IN2P3/CNRS               CEA-DAPNIA     
- 
-#ifndef NOMMATVECADAPTER_H_SEEN
-#define NOMMATVECADAPTER_H_SEEN
-
-#include "nomgadapter.h"
-#include "generalfit.h"
-
-#ifdef SANS_EVOLPLANCK
-#include "matrix.h"
-#include "cvector.h"
-#else
-#include "tmatrix.h"
-#include "tvector.h"
-#endif
-
-//---------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet Vector 
-//---------------------------------------------------------------
-
-class NOMAdapter_Vector : public NObjMgrAdapter {
-public:
-				NOMAdapter_Vector(Vector* v = NULL);
-  virtual			~NOMAdapter_Vector();
-
-  virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-
-  virtual string		GetDataObjType();
-
-  virtual AnyDataObj*		CloneDataObj(bool share=false);
-
-  virtual void			SavePPF(POutPersist& s, string const & nom);
-
-  virtual void			Print(ostream& os, int lev=0);
-  virtual PIDrawer*		GetDrawer(string& dopt);
-  virtual NTupleInterface*	GetNTupleInterface(bool& adel);
-
-  virtual GeneralFitData* GetGeneralFitData(bool& adel
-          ,GeneralFitData::FitErrType errtype=GeneralFitData::DefaultError
-          ,double errscale=1.,double errmin=0.
-          ,int i1=0,int i2=-1,int j1=0,int j2=-1);
-  virtual AnyDataObj* FitResidusObj(GeneralFit& mfit);
-  virtual AnyDataObj* FitFunctionObj(GeneralFit& mfit);
-
-protected:
-  Vector* mVec;
-};
-
-// Class Interface NTuple pour Vector
-class NTupInt_Vector : public NTupleInterface {
-public:
-			NTupInt_Vector(Vector* v);
-  virtual		~NTupInt_Vector();
-  virtual sa_size_t     NbLines() const ;
-  virtual sa_size_t     NbColumns() const ;
-  virtual r_8 *         GetLineD(sa_size_t n) const ;
-  virtual string        VarList_C(const char* nomx=NULL) const ;
-protected:
-  Vector* mVec;
-  mutable r_8 mRet[2];
-};
-
-
-
-//---------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet Matrix 
-//---------------------------------------------------------------
-
-class NOMAdapter_Matrix : public NObjMgrAdapter {
-public:
-				NOMAdapter_Matrix(Matrix* m = NULL);
-  virtual			~NOMAdapter_Matrix();
-
-  virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-
-  virtual string		GetDataObjType();
-
-  virtual AnyDataObj*		CloneDataObj(bool share=false);
-
-  virtual void			SavePPF(POutPersist& s, string const & nom);
-
-  virtual void			Print(ostream& os, int lev=0);
-  virtual P2DArrayAdapter*	Get2DArray(string& dopt);
-  virtual NTupleInterface*	GetNTupleInterface(bool& adel);
-
-  virtual GeneralFitData* GetGeneralFitData(bool& adel
-          ,GeneralFitData::FitErrType errtype=GeneralFitData::DefaultError
-          ,double errscale=1.,double errmin=0.
-          ,int i1=0,int i2=-1,int j1=0,int j2=-1);
-  virtual AnyDataObj* FitResidusObj(GeneralFit& mfit);
-  virtual AnyDataObj* FitFunctionObj(GeneralFit& mfit);
-
-protected:
-  Matrix* mMtx;
-};
-
-// Class Interface NTuple pour Matrix
-
-class NTupInt_Matrix : public NTupleInterface {
-public:
-			NTupInt_Matrix(Matrix* m);
-  virtual		~NTupInt_Matrix();
-  virtual sa_size_t     NbLines() const ;
-  virtual sa_size_t     NbColumns() const ;
-  virtual r_8 *         GetLineD(sa_size_t n) const ;
-  virtual string        VarList_C(const char* nomx=NULL) const ;
-protected:
-  Matrix* mMtx;
-  mutable r_8 mRet[3];
-};
-
-
-#endif
Index: trunk/SophyaPI/PIext/nomstladapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomstladapter.cc	(revision 3563)
+++ 	(revision )
@@ -1,138 +1,0 @@
-#include "sopnamsp.h"
-#include "machdefs.h"
-#include <stdlib.h>
-#include <typeinfo>
-#include <iostream>
-#include <string>
-
-#include "nomstladapter.h"
-#include "stlist.h"
-#include "pistlist.h"
-
-
-
-
-//-------------------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet StarList
-//-------------------------------------------------------------------------
-
-/* --Methode-- */
-NOMAdapter_StarList::NOMAdapter_StarList(StarList* o)
-  : NObjMgrAdapter(o)
-{
-mStl = o;
-}
-
-/* --Methode-- */
-NOMAdapter_StarList::~NOMAdapter_StarList()
-{
-}
-
-/* --Methode-- */
-NObjMgrAdapter* NOMAdapter_StarList::Clone(AnyDataObj* o)
-{
-StarList* stl = dynamic_cast<StarList *>(o);
-if (stl) return ( new NOMAdapter_StarList(stl) );
-return ( new NObjMgrAdapter(o) );
-}
-
-
-/* --Methode-- */
-void NOMAdapter_StarList::SavePPF(POutPersist& pos, string const & nom)
-{
-#ifdef SANS_EVOLPLANCK
-// PEIDA-EROS L'objet est lui-meme PPersist
-string tag = nom;  // A cause de const
-mStl->Write(pos,0,tag);
-#else
-string s = typeid(*mStl).name();
-cout << "NOMAdapter_StarList::SavePPF() - Error : Not supported for " << s << endl;
-#endif
-}
-
-/* --Methode-- */
-void NOMAdapter_StarList::Print(ostream& os, int)
-{
-os << (*mStl);
-}
-
-/* --Methode-- */
-PIDrawer* NOMAdapter_StarList::GetDrawer(string & dopt)
-{
-return(new PIStarList(mStl, false));
-}
-
-
-/* --Methode-- */
-NTupleInterface* NOMAdapter_StarList::GetNTupleInterface(bool& adel)
-{
-adel = true;
-return( new NTupInt_StarList(mStl) );
-}
-
-
-// -------------------------------------------------------------
-
-/* --Methode-- */
-NTupInt_StarList::NTupInt_StarList(StarList* stl)
-{
-mStl = stl;
-}
-
-/* --Methode-- */
-NTupInt_StarList::~NTupInt_StarList()
-{
-}
-
-/* --Methode-- */
-uint_4 NTupInt_StarList::NbLines() const
-{
-return(mStl->NbStars());
-}
-
-/* --Methode-- */
-uint_4 NTupInt_StarList::NbColumns() const 
-{
-return(11);
-}
-
-/* --Methode-- */
-r_8* NTupInt_StarList::GetLineD(int n) const 
-{
-BStar* bst = mStl->Star(n);
-if (bst == NULL)  
-  for(int k=0; k<11; k++)  mRet[k] = -9999.0;
-else {
-  mRet[0] = bst->PosX();
-  mRet[1] = bst->PosY();
-  mRet[2] = bst->Flux();
-  mRet[3] = bst->Fond();
-  mRet[4] = bst->PixMax();
-  mRet[5] = bst->PosXRef();
-  mRet[6] = bst->PosYRef();
-  mRet[7] = bst->FluxRef();
-  mRet[8] = bst->FondRef();
-  mRet[9] = bst->PixMaxRef();
-  mRet[10] = bst->Flags();
-  }
-return(mRet);
-}
-
-/* --Methode-- */
-string NTupInt_StarList::VarList_C(const char* nx) const 
-{
-string nomx;
-if (nx) nomx = nx;
-else nomx = "_xstl_";
-string vardec = "double x,y,flux,fond,pixmax; \n";
-vardec += "double xref,yref,fluxref,fondref,pixmaxref; \n";
-vardec += "double flags; \n"; 
-vardec += "x = " + nomx + "[0];  y = " + nomx + "[1]; \n";
-vardec += "flux = " + nomx + "[2];  fond = " + nomx + "[3]; \n";
-vardec += "pixmax = " + nomx + "[4]; \n";
-vardec += "xref = " + nomx + "[5];  yref = " + nomx + "[6]; \n";
-vardec += "fluxref = " + nomx + "[7];  fondref = " + nomx + "[8]; \n";
-vardec += "pixmaxref = " + nomx + "[9]; \n";
-vardec += "flags = " + nomx + "[10]; \n";
-return(vardec);
-}
Index: trunk/SophyaPI/PIext/nomstladapter.h
===================================================================
--- trunk/SophyaPI/PIext/nomstladapter.h	(revision 3563)
+++ 	(revision )
@@ -1,51 +1,0 @@
-// This may look like C code, but it is really -*- C++ -*-
-// Adaptateur d objets (pour NamedObjMgr) pour Histos/NTuple
-//                                    Reza 05/99
-//  LAL-IN2P3/CNRS               CEA-DAPNIA     
- 
-#ifndef NOMSTLISTADAPTER_H_SEEN
-#define NOMSTLISTADAPTER_H_SEEN
-
-#include "nomgadapter.h"
-#include "stlist.h"
-
-
-//-------------------------------------------------------------------------
-// Class Adaptateur d'objet (Pour NamedObjMgr) d'objet StarList 
-//-------------------------------------------------------------------------
-
-class NOMAdapter_StarList : public NObjMgrAdapter {
-public:
-				NOMAdapter_StarList(StarList* stl = NULL);
-  virtual			~NOMAdapter_StarList();
-
-  virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
-
-  //  virtual void			ReadFits(string const & flnm);
-  //  virtual void			SaveFits(string const & flnm);
-  virtual void			SavePPF(POutPersist& s, string const & nom);
-
-  virtual void			Print(ostream& os, int lev=0);
-  virtual PIDrawer*		GetDrawer(string& dopt);
-  virtual NTupleInterface*	GetNTupleInterface(bool& adel);
-
-protected:
-  StarList* mStl;
-};
-
-// Class Interface NTuple pour StarList 
-class NTupInt_StarList : public NTupleInterface {
-public:
-			NTupInt_StarList(StarList* stl);
-  virtual		~NTupInt_StarList();
-  virtual uint_4        NbLines() const ;
-  virtual uint_4        NbColumns() const ;
-  virtual r_8 *         GetLineD(int n) const ;
-  virtual string        VarList_C(const char* nomx=NULL) const ;
-protected:
-  StarList* mStl;
-  mutable r_8 mRet[12];
-};
-
-
-#endif
Index: trunk/SophyaPI/PIext/nomtarradapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 3572)
@@ -193,4 +193,6 @@
     return 1; 
   }
+
+  return 0;
 }
 
Index: trunk/SophyaPI/PIext/objlist.list
===================================================================
--- trunk/SophyaPI/PIext/objlist.list	(revision 3563)
+++ trunk/SophyaPI/PIext/objlist.list	(revision 3572)
@@ -22,6 +22,6 @@
 pigfd1.o
 pigfd2.o
+pihisto2d.o
 pihisto.o
-pihisto2d.o
 piinit.o
 pintup3d.o
Index: trunk/SophyaPI/PIext/pawexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/pawexecut.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/pawexecut.cc	(revision 3572)
@@ -23,11 +23,6 @@
 #include "pihisto.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-#include "matrix.h"
-#else
 #include "tmatrix.h"
 #include "tvector.h"
-#endif
 
 /* Reza + cmv  13/10/99 */
@@ -421,13 +416,8 @@
 string ctyp = typeid(*mobj).name();
 
-#ifdef SANS_EVOLPLANCK
-if(typeid(*mobj)==typeid(Vector))       {Vector*  ob=(Vector*) mobj; ob->Zero();}
-else if(typeid(*mobj)==typeid(Matrix))  {Matrix*  ob=(Matrix*) mobj; ob->Zero();}
-#else
  if(typeid(*mobj)==typeid(Vector))       {Vector*  ob=(Vector*) mobj; (*ob) = 0.; }
 // ob->DataBlock().Reset(0.);}
  else if(typeid(*mobj)==typeid(Matrix))   {Matrix*  ob=(Matrix*) mobj; (*ob) = 0.; }
 //ob->DataBlock().Reset(0.);}
-#endif
 else if(typeid(*mobj)==typeid(Histo))    {Histo* ob=(Histo*)  mobj; ob->Zero();}
 else if(typeid(*mobj)==typeid(HProf))    {HProf* ob=(HProf*)  mobj; ob->Zero();}
@@ -701,16 +691,8 @@
   }
 }   // fin du try
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); cout<<endl; cerr<<endl;
-  string es = PeidaExc(merr);
-  cerr<<"Services2NObjMgr::ComputeExpressions()  Exception :"<<merr<<es;
-} ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); cout<<endl; cerr<<endl;
   cerr<<"Services2NObjMgr::ComputeExpressions()  Exception :"<<exc.Msg()<<endl; 
 }
-#endif
 
 if(adel) delete objnt;
@@ -1380,9 +1362,6 @@
 r_8 norm=-1.;
 if(tokens.size()>=2) norm = atof(tokens[1].c_str());
-#ifdef SANS_EVOLPLANCK
-Vector* v = dynamic_cast<Vector*>(mobj);
-#else
+
 TVector<r_8>* v = dynamic_cast<TVector<r_8>*>(mobj);
-#endif
 
 if(!v)
@@ -1390,9 +1369,5 @@
   return;}
 
-#ifdef SANS_EVOLPLANCK
-uint_4 n = v->NElts();
-#else
 uint_4 n = v->Size();
-#endif
 
 if(n==0)
@@ -1507,9 +1482,5 @@
 if(tokens.size()>=2) deriv_option = atoi(tokens[1].c_str());
 
-#ifdef SANS_EVOLPLANCK
-Vector* v = dynamic_cast<Vector*>(mobj);
-#else
 TVector<r_8>* v = dynamic_cast<TVector<r_8>*>(mobj);
-#endif
 
 if(!v)
@@ -1517,10 +1488,5 @@
   return;}
 
-
-#ifdef SANS_EVOLPLANCK
-uint_4 n = v->NElts();
-#else
 uint_4 n = v->Size();
-#endif
 
 if(n==0)
@@ -1529,9 +1495,5 @@
 if(n<=1) return;
 
-#ifdef SANS_EVOLPLANCK
-Vector vsave(*v);
-#else
 TVector<r_8> vsave(*v,false);
-#endif
 
 if(deriv_option<0) {
@@ -1742,9 +1704,5 @@
   Vector* h3 = NULL;
   if( mobjh3 == NULL ) {  // l'objet n'existe pas, on le cree
-#ifdef SANS_EVOLPLANCK
-    h3 = new Vector(*h1);
-#else
     h3 = new Vector(*h1,false);
-#endif
     *h3 = 0.; omg.AddObj(h3,h3name); mobjh3 = omg.GetObj(h3name);
   }
@@ -1758,12 +1716,6 @@
   if( oper[0]=='+')      *h3 = *h1 + *h2;
   else if( oper[0]=='-') *h3 = *h1 - *h2;
-#ifdef SANS_EVOLPLANCK
-  else if(oper[0]=='*' || oper[0]=='/')
-    cout<<"PAWExecutor::h_oper Error: operation "<<oper[0]
-        <<" not implemented for Vector in Peida"<<endl;
-#else
   else if( oper[0]=='*') {h3->Clone(*h1); h3->MulElt(*h2,*h3);}
   else if( oper[0]=='/') {h3->Clone(*h1); h3->DivElt(*h2,*h3,false,true);}
-#endif
 
 // Operations on Matrix
@@ -1781,9 +1733,5 @@
   Matrix* h3 = NULL;
   if( mobjh3 == NULL ) {  // l'objet n'existe pas, on le cree
-#ifdef SANS_EVOLPLANCK
-    h3 = new Matrix(*h1);
-#else
     h3 = new Matrix(*h1,false);
-#endif
     *h3 = 0.; omg.AddObj(h3,h3name); mobjh3 = omg.GetObj(h3name);
   }
@@ -1798,12 +1746,6 @@
   if( oper[0]=='+')      *h3 = *h1 + *h2;
   else if( oper[0]=='-') *h3 = *h1 - *h2;
-#ifdef SANS_EVOLPLANCK
-  else if(oper[0]=='*' || oper[0]=='/')
-    cout<<"PAWExecutor::h_oper Error: operation "<<oper[0]
-        <<" not implemented for Vector in Peida"<<endl;
-#else
   else if( oper[0]=='*') {h3->Clone(*h1); h3->MulElt(*h2,*h3);}
   else if( oper[0]=='/') {h3->Clone(*h1); h3->DivElt(*h2,*h3,false,true);}
-#endif
 
 // Doesn't work for other objects
Index: trunk/SophyaPI/PIext/piacmd.cc
===================================================================
--- trunk/SophyaPI/PIext/piacmd.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/piacmd.cc	(revision 3572)
@@ -12,9 +12,5 @@
 #include "strutilxx.h"
 // #include "dlftypes.h"
-#ifdef SANS_EVOLPLANCK
-#include "nbrandom.h"
-#else
 #include "srandgen.h"
-#endif
 
 #include "pistdimgapp.h"
Index: trunk/SophyaPI/PIext/piafitting.cc
===================================================================
--- trunk/SophyaPI/PIext/piafitting.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/piafitting.cc	(revision 3572)
@@ -25,12 +25,7 @@
 #include "hisprof.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "matrix.h"
-#include "cvector.h"
-#else
 #include "tmatrix.h"
 #include "tvector.h"
 #include "objfitter.h"
-#endif
 
 #include "piafitting.h"
@@ -42,9 +37,5 @@
 #include "nomgfdadapter.h"
 #include "nomimagadapter.h"
-#ifdef SANS_EVOLPLANCK
-#include "nommatvecadapter.h"
-#else
 #include "nomtmatvecadapter.h"
-#endif
 
 ////////////////////////////////////////////////////////////////////
@@ -854,11 +845,6 @@
 
 // Fit
-#ifdef SANS_EVOLPLANCK
-mParSave = mPar; mStepSave = mStep; mFixSave = mFix;
-mMinSave = mMin; mMaxSave = mMax;
-#else
 mParSave.Clone(mPar); mStepSave.Clone(mStep); mFixSave.Clone(mFix);
 mMinSave.Clone(mMin); mMaxSave.Clone(mMax);
-#endif
 mOptSave = mOpt;
 double c2r = -1.;
@@ -1218,9 +1204,5 @@
 , saveErrScale(1.),saveErrMin(0.), saveXC(0.), saveYC(0.)
 {
-#ifdef SANS_EVOLPLANCK
-COMPATIBLE_ASSERT(mFitter);
-#else
 ASSERT(mFitter);
-#endif
 
 int npar = mFitter->mNPar;
Index: trunk/SophyaPI/PIext/piafitting.h
===================================================================
--- trunk/SophyaPI/PIext/piafitting.h	(revision 3563)
+++ trunk/SophyaPI/PIext/piafitting.h	(revision 3572)
@@ -21,9 +21,4 @@
 class PIAFitterWind;
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-class GeneralFunction; class GeneralFunc; class GeneralFit;
-class GeneralFitData;
-#else
 #include "tvector.h"
 namespace SOPHYA { 
@@ -31,5 +26,4 @@
 class GeneralFitData;
 }
-#endif
 
 class PIAFitter : public CmdExecutor {
Index: trunk/SophyaPI/PIext/piinit.cc
===================================================================
--- trunk/SophyaPI/PIext/piinit.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/piinit.cc	(revision 3572)
@@ -11,9 +11,4 @@
 #include "nomimagadapter.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "nommatvecadapter.h"
-#include "fitsimage.h"
-#include "nomstladapter.h"
-#else
 #include <complex>
 #include "nomtmatvecadapter.h"
@@ -35,14 +30,9 @@
 #include "piaversion.h"
 
-#endif
 
 int PIAppInitiator::FgInit = 0;
 
 PIAppInitiator::PIAppInitiator(PIStdImgApp * app)
-#ifdef SANS_EVOLPLANCK
- : PeidaStarRecoInitiator()
-#else
  : SambaInitiator()
-#endif
 {
   FgInit++;
@@ -63,14 +53,7 @@
   serv->RegisterClass(new DataTable, new NOMAdapter_DataTable );
   serv->RegisterClass(new SwPPFDataTable, new NOMAdapter_DataTable );
-  char* varenv=NULL;
-  if ( (varenv=getenv("PEIDA_TMP")) == NULL )   varenv=getenv("TMPDIR") ;
-  if (varenv)  XNTuple::SetSwapPath(varenv);
 
   serv->RegisterClass(new GeneralFitData, new NOMAdapter_GeneralFitData );
 
-#ifdef SANS_EVOLPLANCK
-  serv->RegisterClass(new Vector, new NOMAdapter_Vector );
-  serv->RegisterClass(new Matrix, new NOMAdapter_Matrix );
-#else
 //  Octobre 2008 : prise en charge tableaux/matrice/vecteurs en uint_4 uint_8 
   serv->RegisterClass(new TArray<uint_2>, new NOMAdapter_TArray<uint_2> );
@@ -105,5 +88,4 @@
   serv->RegisterClass(new TVector<complex<r_8> >, new NOMAdapter_TMatrix<complex<r_8> > );
   serv->RegisterClass(new TMatrix<complex<r_8> >, new NOMAdapter_TMatrix<complex<r_8> > );
-#endif
 
   /*  Avril 2007 : Prise en charge des images par NOMAdapter_TMatrix  au lieu de
@@ -120,18 +102,4 @@
   serv->RegisterClass(new Image<complex<r_8> >, new NOMAdapter_TMatrix<complex<r_8> > );
 
-#ifdef SANS_EVOLPLANCK
-  serv->RegisterClass(new Image<uint_2>, new  NOMAdapter_Image<uint_2> );
-  serv->RegisterClass(new Image<int_2>, new  NOMAdapter_Image<int_2> );
-  serv->RegisterClass(new Image<int_4>, new  NOMAdapter_Image<int_4> );
-  serv->RegisterClass(new Image<r_4>, new  NOMAdapter_Image<r_4> );
-  serv->RegisterClass(new Image<r_8>, new  NOMAdapter_Image<r_8> );
-
-  serv->RegisterClass(new FitsImage<uint_2>, new  NOMAdapter_Image<uint_2> );
-  serv->RegisterClass(new FitsImage<int_2>, new  NOMAdapter_Image<int_2> );
-  serv->RegisterClass(new FitsImage<int_4>, new  NOMAdapter_Image<int_4> );
-  serv->RegisterClass(new FitsImage<r_4>, new  NOMAdapter_Image<r_4> );
-
-  serv->RegisterClass(new StarList, new NOMAdapter_StarList );
-#else
   serv->RegisterClass(new LocalMap<int_4>, new NOMAdapter_PixelMap<int_4> );
   serv->RegisterClass(new SphereThetaPhi<int_4>, new NOMAdapter_PixelMap<int_4> );
@@ -159,5 +127,4 @@
 
   SophyaInitiator::RegisterModule("PIext/piapp", PIAPP_VERSIONNUMBER);
-#endif  
 }
 
Index: trunk/SophyaPI/PIext/piinit.h
===================================================================
--- trunk/SophyaPI/PIext/piinit.h	(revision 3563)
+++ trunk/SophyaPI/PIext/piinit.h	(revision 3572)
@@ -12,9 +12,5 @@
 // Classe d initialisation pour le module PIext de PEIDA
 
-#ifdef SANS_EVOLPLANCK
-class PIAppInitiator : public PeidaStarRecoInitiator {
-#else
 class PIAppInitiator : public SambaInitiator {
-#endif
 private:
   static int FgInit;
Index: trunk/SophyaPI/PIext/pimgadapter.h
===================================================================
--- trunk/SophyaPI/PIext/pimgadapter.h	(revision 3563)
+++ trunk/SophyaPI/PIext/pimgadapter.h	(revision 3572)
@@ -5,20 +5,4 @@
 #include "parradapter.h"
 
-#ifdef SANS_EVOLPLANCK 
-class RzImageAdapter : public P2DArrayAdapter {
-public:
-                  RzImageAdapter(RzImage* rzi, bool ad=false) :
-                    P2DArrayAdapter(rzi->XSize(), rzi->YSize())
-                    { aDel = ad; mImg = rzi; 
-                    DefineXYCoordinates(rzi->XOrg(), rzi->YOrg(), 1., 1. ); }
-
-  virtual 	  ~RzImageAdapter() { if (aDel) delete mImg; }
-  virtual double  Value(int ix, int iy) { return mImg->FValue(ix, iy); }
-
-protected :
-  bool aDel;
-  RzImage* mImg;
-};
-#endif
 
 template <class T> 
Index: trunk/SophyaPI/PIext/pipodrw.cc
===================================================================
--- trunk/SophyaPI/PIext/pipodrw.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/pipodrw.cc	(revision 3572)
@@ -56,56 +56,3 @@
 
 
-#ifdef SANS_EVOLPLANCK
 
-// ----------------------------------------------------------
-// Adaptateur de vecteurs Peida++ a P1DArrayAdapter
-// ----------------------------------------------------------
-
-/* --Methode-- */
-POVectorAdapter::POVectorAdapter(Vector* v, bool ad)
-        : P1DArrayAdapter(v->NElts())
-{
-aDel = ad; mVec = v;
-}
-
-/* --Methode-- */
-POVectorAdapter::~POVectorAdapter()
-{
-if (aDel) delete mVec;
-}
-
-/* --Methode-- */
-double POVectorAdapter::Value(int i)
-{ 
-return((*mVec)(i)); 
-}
-
-------- FIN SUPPRESSION */
-
-// ----------------------------------------------------------
-// Adaptateur de matrice Peida++ a P2DArrayAdapter
-// Attention  Y: Lignes (rows)  X: Colonnes
-// ----------------------------------------------------------
-
-/* --Methode-- */
-POMatrixAdapter::POMatrixAdapter(Matrix* mtx, bool ad)
-        : P2DArrayAdapter(mtx->NCol(), mtx->NRows())
-{
-aDel = ad; mMtx = mtx;
-}
-
-/* --Methode-- */
-POMatrixAdapter::~POMatrixAdapter()
-{
-if (aDel)  delete mMtx;
-}
-
-/* --Methode-- */
-double POMatrixAdapter::Value(int ix, int iy)
-{
-// Attention MatrixAdapter(X=Colonne, Y= Row) = Matrix(row, col)  
-return((*mMtx)(iy, ix));
-}
-
-#endif   // SANS_EVOLPLANCK
-
Index: trunk/SophyaPI/PIext/pipodrw.h
===================================================================
--- trunk/SophyaPI/PIext/pipodrw.h	(revision 3563)
+++ trunk/SophyaPI/PIext/pipodrw.h	(revision 3572)
@@ -13,9 +13,5 @@
 #include "hist2err.h"
 
-#ifdef SANS_EVOLPLANCK
-class GeneralFunction;
-#else
 namespace SOPHYA {class GeneralFunction;} 
-#endif
 
 class PIGFFDrawer : public PIDrawer {
@@ -34,35 +30,3 @@
 
 
-#ifdef SANS_EVOLPLANCK
-#include "cvector.h"
-#include "matrix.h"
-
-// Adaptateur de vecteurs Peida++ a P1DArrayAdapter
-class POVectorAdapter : public P1DArrayAdapter {
-public :
-                  POVectorAdapter(Vector* v, bool ad=false);
-  virtual         ~POVectorAdapter();
-  virtual double  Value(int i);
-
-protected:
-  bool aDel;
-  Vector* mVec;
-};
-
-// Adaptateur de matrice Peida++ a P2DArrayAdapter
-// Attention MatrixAdapter(X=Colonne, Y= Row) = Matrix(row, col)  
-class POMatrixAdapter :  public P2DArrayAdapter {
-public :
-                  POMatrixAdapter(Matrix* mtx, bool ad=false);
-  virtual         ~POMatrixAdapter();
-
-  virtual double  Value(int ix, int iy);   
-
-protected:
-  bool aDel;
-  Matrix* mMtx;
-};
-
-#endif   // SANS_EVOLPLANCK
-
 #endif
Index: trunk/SophyaPI/PIext/pisiadw.cc
===================================================================
--- trunk/SophyaPI/PIext/pisiadw.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/pisiadw.cc	(revision 3572)
@@ -244,11 +244,4 @@
 
 bool ok = true;
-#ifdef SANS_EVOLPLANCK
-TRY {
-  mPin = new PInPersist(flnm);
-}  CATCH(merr) 
-  { printf("ObjMgrWind::SetFile Exception= %ld (%s) \n", (long)merr, PeidaExc(merr)); 
-  ok = false; } ENDTRY;
-#else
 try {
   mPin = new PInPersist(flnm);
@@ -258,14 +251,9 @@
   ok = false;
   }
-#endif
 
 if (!ok) { mPin = NULL;  dap->SetReady(); return; }
 
 int nbtags = 0;
-#ifdef SANS_EVOLPLANCK
-nbtags = mPin->NbTags();
-#else 
 nbtags = mPin->NbNameTags();
-#endif
 
 if (nbtags < 1) {
@@ -282,15 +270,4 @@
 objlist->SetBorderWidth(2);
 
-
-#ifdef SANS_EVOLPLANCK
-for(i=0; i<mPin->NbTags(); i++) {
-  key = mPin->TagKey(i, cid, ln);  // $CHECK$ non-const & reference initialized to temporary, car int -> long&
-  if (ln <= 0)  nom = "?";
-  else { strncpy(noms, mPin->TagName(i).c_str(), 31);  noms[31] = '\0'; nom = noms; }
-  sprintf(strg, "%s  (T=%s, Key=%d)",  nom, dap->ObjMgr()->GetServiceObj()->PClassIdToClassName(cid), key);
-  //  sprintf(strg, "%s  (T=%s, Key=%d)",  nom, " DataObject ?", key);  Attention SANS_EVOLPLANCK
-  objlist->AppendItem(strg, 5000+i);
-}
-#else
 string tn;
 for(i=0; i<mPin->NbNameTags(); i++) {
@@ -298,5 +275,4 @@
   objlist->AppendItem(tn.c_str(), 5000+i);
 }
-#endif
 
 }
Index: trunk/SophyaPI/PIext/pistdimgapp.cc
===================================================================
--- trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 3572)
@@ -102,7 +102,5 @@
 m[0]->AppendItem("Open-Fits", 10120);
 m[0]->AppendItem("Open-PPF", 10130);
-#ifndef SANS_EVOLPLANCK
 m[0]->AppendItem("Open-ASCII", 10140);
-#endif
 // m[0]->AppendItem("Options", 10101);
 m[0]->AppendItem("Help", 10100);
@@ -316,15 +314,8 @@
 glst_piai = new PIAppInitiator(this);
 
-char buff[128];
 mCons->AddStr("  ............  starting piapp .............\n", PIVA_Blue );
-#ifdef SANS_EVOLPLANCK
-sprintf(buff, "Version: piapp=%g  PI=%g  PEIDA=%g \n", (double)PIAPP_VERSIONNUMBER, 
-              (double)PI_VERSIONNUMBER, (float)PeidaVersion());
-mCons->AddStr(buff, PIVA_Blue );
-#else
 string svers;
 SophyaInitiator::GetVersion(svers);
 mCons->AddStr(svers.c_str(), PIVA_Blue );
-#endif
 mCons->AddStr("  ..........................................\n", PIVA_Blue );
 // PrintPeidaVersion();
@@ -539,9 +530,5 @@
 if  ((GetState()) && (msg != mFCMsg)) { PIBeep(); return; }
 
-#ifdef SANS_EVOLPLANCK
-  TRY {
-#else
-  try {
-#endif
+try {
 
 //   Messages active-window
@@ -628,15 +615,4 @@
   mCons->AddChar('\n', PIVA_Def, true);
   SetBusy();
-#ifdef SANS_EVOLPLANCK
-  TRY {
-    mCmd->Interpret(s);
-    }  CATCH(merr) { 
-    fflush(stdout); 
-    cout << endl; 
-    cerr << endl;
-    string es = PeidaExc(merr);
-    cerr << "PIStdImgApp::Process()/ Cmd->Do() Exception :" << es << " (" << merr << ")" << endl ;
-    }
-#else
   try {
     //    mCmd->Interpret(s);
@@ -655,5 +631,4 @@
   }
 
-#endif
   SetReady();
   }
@@ -662,14 +637,4 @@
             (int)tmsg,(int)msg,(int)smm);
 
-#ifdef SANS_EVOLPLANCK
-}  CATCH(merr) { 
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "PIStdImgApp::Process()/  Exception :" << es << " (" << merr << ")" << endl ;
-  SetReady();
-  }
-#else
   }
   catch ( PThrowable & exc ) {
@@ -690,5 +655,4 @@
   }
 
-#endif
 
 return;
@@ -1781,10 +1745,6 @@
 void PIStdImgApp::CatchSignals(bool fgfpe, bool fgsegv)
 {    
-#ifdef SANS_EVOLPLANCK
-PeidaConfigureSignalhandling(fgfpe, fgsegv, true, true);  
-#else
 // On active aussi SIGUSR1 pour stopthr
 SophyaConfigureSignalhandling(fgfpe, fgsegv, true, true);  
-#endif
 m[5]->SetStateMsg(10603, fgfpe);
 m[5]->SetStateMsg(10604, fgsegv);
@@ -1953,5 +1913,4 @@
       break;
         
-#ifndef SANS_EVOLPLANCK
     case 10140 :
       pfc_ascii->AcceptNewFile(false);
@@ -1988,5 +1947,4 @@
       SetReady();
       break;
-#endif
 
     case 10105:
@@ -2396,9 +2354,5 @@
 string info = "piapp : Interactive analysis program\n";
 char buff[128];
-#ifdef SANS_EVOLPLANCK
-sprintf(buff, "Version: piapp=%g  PI=%g  PEIDA=%g \n", (double)PIAPP_VERSIONNUMBER, 
-              (double)PI_VERSIONNUMBER, (float)PeidaVersion());
-info += buff;
-#else
+
 string svers;
 SophyaInitiator::GetVersion(svers);
@@ -2407,10 +2361,9 @@
 	(double)PIAPP_VERSIONNUMBER);
 info += buff; 
-#endif
-info += "(C) LAL-IN2P3/CNRS  1996-2006\n";
-info += "(C) SPP-DAPNIA/CEA 1996-2006\n";
-#ifndef SANS_EVOLPLANCK
- info += "Check http://www.sophya.org for more information";
-#endif
+
+info += "(C) LAL-IN2P3/CNRS  1996-2009\n";
+info += "(C) SPP-DAPNIA/CEA 1996-2009\n";
+info += "Check http://www.sophya.org for more information";
+
 infow_txt->SetText(info);
 }
Index: trunk/SophyaPI/PIext/servnobjm.cc
===================================================================
--- trunk/SophyaPI/PIext/servnobjm.cc	(revision 3563)
+++ trunk/SophyaPI/PIext/servnobjm.cc	(revision 3572)
@@ -20,13 +20,8 @@
 #include "fct2dfit.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "matrix.h"
-#include "cvector.h"
-#else
 #include "tmatrix.h"
 #include "tvector.h"
 #include "matharr.h"
 #include "pitvmaad.h"
-#endif
 
 #include "ntuple.h"
@@ -70,10 +65,7 @@
 ObjAdaptList::iterator it;
 for(it = objadaplist.begin(); it != objadaplist.end(); it++) 
-#ifdef SANS_EVOLPLANCK
-    if (typeid(*o) == typeid(*((*it).obj)))  THROW(dupIdErr);
-#else
-    if (typeid(*o) == typeid(*((*it).obj)))  
+  if (typeid(*o) == typeid(*((*it).obj)))  
      throw(DuplicateIdExc("Services2NObjMgr::RegisterClass() - Duplicate class"));
-#endif
+
 dataobj_adapter oba;
 oba.obj = o;
@@ -215,15 +207,4 @@
   for(k=0; k<np; k++) { xx = xmin+dx*k; (*vpy)(k) = f(xx); }
 } 
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::PlotFunc()  Exception :" << merr << es;
-  delete vpy;
-  vpy = NULL;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -234,5 +215,4 @@
   vpy = NULL;
 }
-#endif
 
 if (vpy) {
@@ -286,14 +266,4 @@
   }
 }
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::PlotFunc2D()  Exception :" << merr << es;
-  delete mtx;  mtx = NULL;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -303,5 +273,4 @@
   delete mtx;  mtx = NULL;
 }
-#endif
 
 if (mtx) {
@@ -348,10 +317,5 @@
  DVList::ValList::const_iterator it;
  for(it = varlist.Begin(); it != varlist.End(); it++) {
-#ifdef SANS_EVOLPLANCK
-   MuTyV mtv = (*it).second;
-   double value = (double)(mtv);
-#else
    double value = (double)((*it).second.elval);
-#endif
    string name_var = (*it).first;
    fprintf(fip,"double %s = %.17f;\n",name_var.c_str(),value);
@@ -408,5 +372,5 @@
 
 // Creation NTuple 
-char* ntn[4] = {"expx","expy","expex","expey",};
+const char* ntn[4] = {"expx","expy","expex","expey",};
 NTuple* nt = NULL;
 bool haserr = false;
@@ -447,5 +411,5 @@
 if (!mImgapp)  return; 
 
-char* ntn[3] = {"expx","expy","expz"};
+const char* ntn[3] = {"expx","expy","expz"};
 NTuple* nt = new NTuple(3,ntn);  // Creation NTuple
 
@@ -486,5 +450,5 @@
 if (!mImgapp)  return; 
 
-char* ntn[3] = {"expx","expy","expw"};
+const char* ntn[3] = {"expx","expy","expw"};
 NTuple* nt = new NTuple(3,ntn);  // Creation NTuple
 
@@ -520,5 +484,5 @@
 if (!mImgapp)  return; 
 
-char* ntn[4] = {"expx","expy","expz","expw"};
+const char* ntn[4] = {"expx","expy","expz","expw"};
 NTuple* nt = new NTuple(4,ntn);  // Creation NTuple
 
@@ -571,5 +535,5 @@
   // Pas de remise a zero ! h1->Zero();
 } else {
-  char* ntn[2]= {"hxval", "hwt"};
+  const char* ntn[2]= {"hxval", "hwt"};
   nt = new NTuple(2,ntn);  // Creation NTuple 
 }
@@ -624,5 +588,5 @@
   // Pas de remise a zero ! h2->Zero();
 } else {
-  char* ntn[3]= {"hxval", "hyval", "hwt"};
+  const char* ntn[3]= {"hxval", "hyval", "hwt"};
   nt = new NTuple(3,ntn);  // Creation NTuple 
 }
@@ -688,5 +652,5 @@
   hp_already_exist = true;
 } else {
-  char* ntn[3]= {"hxval", "hyval", "hwt"};
+  const char* ntn[3]= {"hxval", "hyval", "hwt"};
   nt = new NTuple(3,ntn);  // Creation NTuple 
 }
@@ -741,5 +705,5 @@
   }
 
-char* ntn[2]= {"vi", "vv"};
+const char* ntn[2]= {"vi", "vv"};
 NTuple* nt = new NTuple(2,ntn);  // Creation NTuple 
 
@@ -790,5 +754,5 @@
   }
 
-char* ntn[3]= {"mi", "mj", "mv"};
+const char* ntn[3]= {"mi", "mj", "mv"};
 NTuple* nt = new NTuple(3,ntn);  // Creation NTuple 
 
@@ -836,5 +800,5 @@
 // if (nomvec.length() < 1) nomvec = "/tmp/expvec";
 
-char* ntn[2]= {"vecval", "vecwt"};
+const char* ntn[2]= {"vecval", "vecwt"};
 nt = new NTuple(1,ntn);  // Creation NTuple
  
@@ -933,5 +897,5 @@
   }  
 if (nt == NULL) {
-  char* ntn[4]= {"x", "y","z","t"};
+  const char* ntn[4]= {"x", "y","z","t"};
   nt = new NTuple(4,ntn);  // Creation NTuple 
   fgnnt = true;
@@ -987,5 +951,5 @@
     }  
   if (nt == NULL) {
-    char* ntn[4]= {"x", "y","z","t"};
+    const char* ntn[4]= {"x", "y","z","t"};
     nt = new NTuple(4,ntn);  // Creation NTuple 
     fgnnt = true;
@@ -1016,13 +980,4 @@
     }
  }
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::FillNTFrCFile()  Exception :" << merr << es;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -1031,5 +986,4 @@
   cerr << "Services2NObjMgr::FillNTFrCFile()  Exception :" << exc.Msg() << endl; 
 }
-#endif
 
 if (adel) delete objnt;   // Delete de l'objet NTupleInterface si necessaire
@@ -1154,5 +1108,5 @@
 
 // Creation NTuple Buffer
-char* ntn[4]= {"x","y","f","e"};
+const char* ntn[4]= {"x","y","f","e"};
 NTuple*nt = new NTuple(4,ntn);
 
@@ -1301,13 +1255,4 @@
     }
  }
-#ifdef SANS_EVOLPLANCK
-CATCH(merr) {
-  fflush(stdout); 
-  cout << endl; 
-  cerr << endl;
-  string es = PeidaExc(merr);
-  cerr << "Services2NObjMgr::ComputeExpressions()  Exception :" << merr << es;
-  } ENDTRY;
-#else
 catch ( PException exc ) {
   fflush(stdout); 
@@ -1316,5 +1261,4 @@
   cerr << "Services2NObjMgr::ComputeExpressions()  Exception :" << exc.Msg() << endl; 
 }
-#endif
 
 if (adel) delete objnt;  // Delete de l'objet NTupleInterface si necessaire
@@ -1473,80 +1417,6 @@
 
 
-
-
-// SANS_EVOLPLANCK     Attention !
-#ifdef SANS_EVOLPLANCK
-#include "pclassids.h"
-
-/* --Methode-- */
-char* Services2NObjMgr::PClassIdToClassName(int cid)
-{
-switch (cid) {
-  case ClassId_Poly1 : 
-    return("Poly1");
-  case ClassId_Poly2 : 
-    return("Poly2");
-  case ClassId_Matrix : 
-    return("Matrix");
-  case ClassId_Vector : 
-    return("Vector");
-
-  case ClassId_DVList : 
-    return("DVList");
-
-  case ClassId_Histo1D : 
-    return("Histo1D");
-  case ClassId_Histo2D : 
-    return("Histo2D");
-  case ClassId_HProf : 
-    return("HProf");
-  case ClassId_HistoErr : 
-    return("HistoErr");
-  case ClassId_NTuple : 
-    return("NTuple");
-  case ClassId_XNTuple : 
-    return("XNTuple");
-  case ClassId_GeneralFitData : 
-    return("GeneralFitData");
-
-  case ClassId_Image : 
-    return("RzImage");
-  case ClassId_Image + kuint_1 : 
-    return("ImageU1");
-  case ClassId_Image + kint_1 : 
-    return("ImageI1");
-  case ClassId_Image + kuint_2 : 
-    return("ImageU2");
-  case ClassId_Image + kint_2 : 
-    return("ImageI2");
-  case ClassId_Image + kuint_4 : 
-    return("ImageU4");
-  case ClassId_Image + kint_4 : 
-    return("ImageI4");
-  case ClassId_Image + kr_4 : 
-    return("ImageR4");
-  case ClassId_Image + kr_8 : 
-    return("ImageR8");
-  case ClassId_ZFidu : 
-    return("ZFidu");
-
-  case ClassId_StarList : 
-    return("StarList");
-  case ClassId_Transfo : 
-    return("Transfo");
-  case ClassId_PSF : 
-    return("PSF");
-
-
-// - Ajout objet PPF
-  default:
+const char* Services2NObjMgr::PClassIdToClassName(int cid)
+{
     return("AnyDataObj");
-  }
-}  
-
-#else
-char* Services2NObjMgr::PClassIdToClassName(int cid)
-{
-    return("AnyDataObj");
-}
-#endif
+}
Index: trunk/SophyaPI/PIext/servnobjm.h
===================================================================
--- trunk/SophyaPI/PIext/servnobjm.h	(revision 3563)
+++ trunk/SophyaPI/PIext/servnobjm.h	(revision 3572)
@@ -20,10 +20,4 @@
 #include "zthread.h"
 
-#ifdef SANS_EVOLPLANCK
-class NTuple;
-class Histo;
-class Histo2D;
-class HProf;
-#else
 namespace SOPHYA { 
 class NTuple;
@@ -32,5 +26,4 @@
 class HProf;
 }
-#endif
 
 class PIStdImgApp;
@@ -127,5 +120,5 @@
   static void   DecodeLoopParameters(string& loop, int_8& i1, int_8& i2, int_8& di);
   string 	FileName2Name(string const & fn);
-  char* 	PClassIdToClassName(int cid);
+  const char* 	PClassIdToClassName(int cid);
 
 protected:
Index: trunk/SophyaPI/PIext/smakefile
===================================================================
--- trunk/SophyaPI/PIext/smakefile	(revision 3563)
+++ trunk/SophyaPI/PIext/smakefile	(revision 3572)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nommatvecadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomstladapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
+	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)graphexecut.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomdvladapter.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomherradapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
 	rm -f $(SOPHYALIBP)libPIext.a
  
@@ -42,4 +42,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -163,4 +164,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -278,4 +280,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -388,4 +391,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -474,4 +478,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -582,4 +587,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -690,4 +696,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -800,4 +807,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -861,4 +869,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -921,4 +930,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -990,4 +1000,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1087,4 +1098,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1131,5 +1143,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -1196,4 +1207,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1265,4 +1277,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1348,4 +1361,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1413,4 +1427,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1511,4 +1526,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1594,4 +1610,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -1701,4 +1718,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -1798,4 +1816,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -1938,4 +1957,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2003,5 +2023,4 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2046,4 +2065,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2098,4 +2118,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2125,4 +2146,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2154,4 +2176,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2212,4 +2235,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2309,5 +2333,4 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -2358,4 +2381,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2386,4 +2410,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2412,4 +2437,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
@@ -2479,4 +2505,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2592,4 +2619,5 @@
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
@@ -2673,4 +2701,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -2721,4 +2750,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
